Package com.smartgwt.client.widgets.form

# Class ColorPicker

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.layout.Layout
com.smartgwt.client.widgets.layout.VLayout
com.smartgwt.client.widgets.Window
com.smartgwt.client.widgets.form.ColorPicker

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `HasClearHandlers`, `HasClickHandlers`, `HasCloseClickHandlers`, `HasDoubleClickHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFocusChangedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMaximizeClickHandlers`, `HasMinimizeClickHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRestoreClickHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasVisibilityChangedHandlers`, `HasColorChangedHandlers`, `HasColorPickedHandlers`, `HasColorSelectedHandlers`, `HasColorUpdatedHandlers`, `HasMembersChangedHandlers`

public class ColorPicker extends Window implements HasColorChangedHandlers, HasColorPickedHandlers, HasColorSelectedHandlers, HasColorUpdatedHandlers
The ColorPicker widget allows the user to select a color from anywhere in the color spectrum. It also supports selecting the alpha (opacity) value of the color. The picker supports a simple mode - which allows for one-click selection from a standard palette of colors - and a complex mode which allow the user to define any conceivable color. It is possible for the user to switch from simple mode to complex by interacting with the widget. In general, the widget provides very similar functionality to the color picker dialogs found in graphics packages and other desktop software.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorPicker()`
  `ColorPicker(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addColorChangedHandler(ColorChangedHandler handler)`
  Add a colorChanged handler.
  `HandlerRegistration`
  `addColorPickedHandler(ColorPickedHandler handler)`
  Add a colorPicked handler.
  `HandlerRegistration`
  `addColorSelectedHandler(ColorSelectedHandler handler)`
  Add a colorSelected handler.
  `HandlerRegistration`
  `addColorUpdatedHandler(ColorUpdatedHandler handler)`
  Add a colorUpdated handler.
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `protected JavaScriptObject`
  `create()`
  `Boolean`
  `getAllowComplexMode()`
  Should the "complex" mode be allowed for this ColorPicker? If false, no "More" button is shown on the simple picker
  `Boolean`
  `getAutoCenterOnShow()`
  If `autoPosition` is false, this property controls whether to automatically center the colorPicker every time it is redisplayed with the show() method.
  `Boolean`
  `getAutoHide()`
  When this property is set to true, the `ColorPicker` will automatically hide when a color has been selected using the swatch picker, even in "complex" mode.
  `Boolean`
  `getAutoPosition()`
  If true, causes the ColorPicker to appear near where the mouse was last clicked.
  `String`
  `getBasicColorLabel()`
  The label shown above the basic color blocks.
  `int`
  `getBlue()`
  Deprecated.
  Use `getColor().b` instead.
  `String`
  `getBlueFieldPrompt()`
  The text to show when the mouse hovers over the 'Blue' field in the complex chooser.
  `String`
  `getBlueFieldTitle()`
  Deprecated.
  No longer displayed.
  `IButton`
  `getCancelButton()`
  Cancel button for the ColorPicker
  `String`
  `getCancelButtonTitle()`
  The title for the 'Cancel' button.
  `String`
  `getColor()`
  The current color of the picker.
  `String[]`
  `getColorArray()`
  Array of 40 HTML color strings, used to render the basic color selection boxes.
  `Color`
  `getColorAsColor()`
  The current color of the picker.
  `String`
  `getColorButtonBaseStyle()`
  Base CSS style applied to the basic color boxes
  `int`
  `getColorButtonSize()`
  Width and height of the basic color boxes (they are always square, and they are all the same size).
  `String`
  `getColorString()`
  Returns the currently-selected color as a CSS string in any `ColorFormat`.
  `String`
  `getColorString(ColorFormat format)`
  Returns the currently-selected color as a CSS string in any `ColorFormat`.
  `String`
  `getCrosshairImageURL()`
  The location of the crosshair image file
  `String`
  `getDefaultColor()`
  The default color.
  `int`
  `getDefaultOpacity()`
  The initial opacity value for the component, as a percentage value between 0 and 100
  `ColorPickerMode`
  `getDefaultPickMode()`
  The `ColorPicker` can operate in either a "simple" mode (where it displays just the 40 basic colors and allows the user to click one), or a "complex" mode (where the user can specify a color from anywhere in the spectrum, with an optional alpha element).
  `int`
  `getGreen()`
  Deprecated.
  Use `getColor().g` instead.
  `String`
  `getGreenFieldPrompt()`
  The text to show when the mouse hovers over the 'Green' field in the complex chooser.
  `String`
  `getGreenFieldTitle()`
  Deprecated.
  No longer displayed.
  `HLayout`
  `getHarmonyRow()`
  Row of clickable swatches showing oklch-computed color harmonies (analogous, triadic, complement) of the currently-selected color.
  `String`
  `getHslItemHover()`
  Hover text shown when the mouse is over the HSL form row title.
  `String`
  `getHslItemTitle()`
  Title shown on the HSL form row in the complex chooser.
  `String`
  `getHtmlColor()`
  Deprecated.
  Use `getColorString()` instead, which supports any `ColorFormat`.
  `String`
  `getHtmlFieldPrompt()`
  The text to show when the mouse hovers over the hex field in the complex chooser.
  `String`
  `getHtmlFieldTitle()`
  The title for the hex color field in the complex chooser.
  `int`
  `getHue()`
  Deprecated.
  Use `getColor().h` instead.
  `String`
  `getHueFieldPrompt()`
  The text to show when the mouse hovers over the 'Hue' field in the complex chooser.
  `String`
  `getHueFieldTitle()`
  Deprecated.
  No longer displayed.
  `String`
  `getLessButtonTitle()`
  The title for the button that switches to a less complex view.
  `int`
  `getLightness()`
  Deprecated.
  Use `getColor().l` instead.
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `String`
  `getLumFieldPrompt()`
  The text to show when the mouse hovers over the 'Lightness' field in the complex chooser.
  `String`
  `getLumFieldTitle()`
  Deprecated.
  No longer displayed.
  `int`
  `getLuminosity()`
  Deprecated.
  Use `getLightness()` instead.
  `int`
  `getLumWidth()`
  Width of the lightness bar
  `IButton`
  `getModeToggleButton()`
  "More"/"Less" button for the ColorPicker
  `String`
  `getMoreButtonTitle()`
  The title for the button that switches to a more complex view.
  `IButton`
  `getOkButton()`
  "OK" button for the ColorPicker
  `String`
  `getOkButtonTitle()`
  The title for the 'OK' button.
  `String`
  `getOpacitySliderLabel()`
  The label shown next to the opacity slider.
  `String`
  `getOpacityText()`
  The text to show underneath the selected color box, so that it can be seen through semi-transparent colors.
  `static ColorPicker`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getPaletteMode()`
  Controls which palette visualization is shown in complex mode.
  `int`
  `getRed()`
  Deprecated.
  Use `getColor().r` instead.
  `String`
  `getRedFieldPrompt()`
  The text to show when the mouse hovers over the 'Red' field in the complex chooser.
  `String`
  `getRedFieldTitle()`
  Deprecated.
  No longer displayed.
  `String`
  `getRgbItemHover()`
  Hover text shown when the mouse is over the RGB form row title.
  `String`
  `getRgbItemTitle()`
  Title shown on the RGB form row in the complex chooser.
  `String`
  `getSatFieldPrompt()`
  The text to show when the mouse hovers over the 'Saturation' field in the complex chooser.
  `String`
  `getSatFieldTitle()`
  Deprecated.
  No longer displayed.
  `int`
  `getSaturation()`
  Deprecated.
  Use `getColor().s` instead.
  `String`
  `getSelectedColorLabel()`
  The label shown next to the selected color box.
  `Boolean`
  `getShowCancelButton()`
  Should the Cancel button be visible.
  `Boolean`
  `getShowHarmonyRow()`
  Whether to show the `harmonyRow` of color harmonies below the palette in complex mode.
  `Boolean`
  `getShowModeToggleButton()`
  Should the Mode Toggle button be visible.
  `Boolean`
  `getShowOkButton()`
  Should the OK button be visible.
  `Boolean`
  `getSupportsTransparency()`
  Determines whether to show the opacity slider.
  `int`
  `getSwatchHeight()`
  Displayed height of the color swatch image.
  `String`
  `getSwatchImageURL()`
  The location of the color swatch image file
  `int`
  `getSwatchWidth()`
  Displayed width of the color swatch image.
  `ColorPicker`
  `setAllowComplexMode(Boolean allowComplexMode)`
  Should the "complex" mode be allowed for this ColorPicker? If false, no "More" button is shown on the simple picker
  `ColorPicker`
  `setAutoCenterOnShow(Boolean autoCenterOnShow)`
  If `autoPosition` is false, this property controls whether to automatically center the colorPicker every time it is redisplayed with the show() method.
  `ColorPicker`
  `setAutoHide(Boolean autoHide)`
  When this property is set to true, the `ColorPicker` will automatically hide when a color has been selected using the swatch picker, even in "complex" mode.
  `ColorPicker`
  `setAutoPosition(Boolean autoPosition)`
  If true, causes the ColorPicker to appear near where the mouse was last clicked.
  `ColorPicker`
  `setBasicColorLabel(String basicColorLabel)`
  The label shown above the basic color blocks.
  `void`
  `setBlue(int newValue)`
  Sets the Blue element of the selected color.
  `ColorPicker`
  `setBlueFieldPrompt(String blueFieldPrompt)`
  The text to show when the mouse hovers over the 'Blue' field in the complex chooser.
  `ColorPicker`
  `setBlueFieldTitle(String blueFieldTitle)`
  Deprecated.
  No longer displayed.
  `ColorPicker`
  `setCancelButtonTitle(String cancelButtonTitle)`
  The title for the 'Cancel' button.
  `ColorPicker`
  `setColor(Color color)`
  The current color of the picker.
  `ColorPicker`
  `setColor(String color)`
  The current color of the picker.
  `ColorPicker`
  `setColorArray(String[] colorArray)`
  Array of 40 HTML color strings, used to render the basic color selection boxes.
  `ColorPicker`
  `setColorButtonBaseStyle(String colorButtonBaseStyle)`
  Base CSS style applied to the basic color boxes
  `ColorPicker`
  `setColorButtonSize(int colorButtonSize)`
  Width and height of the basic color boxes (they are always square, and they are all the same size).
  `ColorPicker`
  `setCrosshairImageURL(String crosshairImageURL)`
  The location of the crosshair image file
  `void`
  `setCurrentPickMode(ColorPickerMode pickMode)`
  Changes the pick mode of this `ColorPicker` to `pickMode`.
  `ColorPicker`
  `setDefaultColor(String defaultColor)`
  The default color.
  `ColorPicker`
  `setDefaultOpacity(int defaultOpacity)`
  The initial opacity value for the component, as a percentage value between 0 and 100
  `ColorPicker`
  `setDefaultPickMode(ColorPickerMode defaultPickMode)`
  The `ColorPicker` can operate in either a "simple" mode (where it displays just the 40 basic colors and allows the user to click one), or a "complex" mode (where the user can specify a color from anywhere in the spectrum, with an optional alpha element).
  `static void`
  `setDefaultProperties(ColorPicker colorPickerProperties)`
  Class level method to set the default properties of this class.
  `void`
  `setGreen(int newValue)`
  Sets the Green element of the selected color.
  `ColorPicker`
  `setGreenFieldPrompt(String greenFieldPrompt)`
  The text to show when the mouse hovers over the 'Green' field in the complex chooser.
  `ColorPicker`
  `setGreenFieldTitle(String greenFieldTitle)`
  Deprecated.
  No longer displayed.
  `ColorPicker`
  `setHslItemHover(String hslItemHover)`
  Hover text shown when the mouse is over the HSL form row title.
  `ColorPicker`
  `setHslItemTitle(String hslItemTitle)`
  Title shown on the HSL form row in the complex chooser.
  `void`
  `setHtmlColor(String newValue)`
  Deprecated.
  Use `setColor()` instead, which accepts CSS strings, structured objects, and `Color` objects.
  `ColorPicker`
  `setHtmlFieldPrompt(String htmlFieldPrompt)`
  The text to show when the mouse hovers over the hex field in the complex chooser.
  `ColorPicker`
  `setHtmlFieldTitle(String htmlFieldTitle)`
  The title for the hex color field in the complex chooser.
  `void`
  `setHue(int newValue)`
  Sets the Hue of the selected color.
  `ColorPicker`
  `setHueFieldPrompt(String hueFieldPrompt)`
  The text to show when the mouse hovers over the 'Hue' field in the complex chooser.
  `ColorPicker`
  `setHueFieldTitle(String hueFieldTitle)`
  Deprecated.
  No longer displayed.
  `ColorPicker`
  `setLessButtonTitle(String lessButtonTitle)`
  The title for the button that switches to a less complex view.
  `void`
  `setLightness(int newValue)`
  Sets the Lightness of the selected color (CSS-standard HSL: 0 is black, 50 is full chroma, 100 is white).
  `LogicalStructureObject`
  `setLogicalStructure(ColorPickerLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `ColorPicker`
  `setLumFieldPrompt(String lumFieldPrompt)`
  The text to show when the mouse hovers over the 'Lightness' field in the complex chooser.
  `ColorPicker`
  `setLumFieldTitle(String lumFieldTitle)`
  Deprecated.
  No longer displayed.
  `void`
  `setLuminosity(int newValue)`
  Deprecated.
  Use `setLightness()` instead.
  `ColorPicker`
  `setLumWidth(int lumWidth)`
  Width of the lightness bar
  `ColorPicker`
  `setMoreButtonTitle(String moreButtonTitle)`
  The title for the button that switches to a more complex view.
  `ColorPicker`
  `setOkButtonTitle(String okButtonTitle)`
  The title for the 'OK' button.
  `void`
  `setOpacity(int newValue)`
  Sets the Opacity of the selected color.
  `ColorPicker`
  `setOpacitySliderLabel(String opacitySliderLabel)`
  The label shown next to the opacity slider.
  `ColorPicker`
  `setOpacityText(String opacityText)`
  The text to show underneath the selected color box, so that it can be seen through semi-transparent colors.
  `ColorPicker`
  `setPaletteMode(String paletteMode)`
  Controls which palette visualization is shown in complex mode.
  `void`
  `setRed(int newValue)`
  Sets the Red element of the selected color.
  `ColorPicker`
  `setRedFieldPrompt(String redFieldPrompt)`
  The text to show when the mouse hovers over the 'Red' field in the complex chooser.
  `ColorPicker`
  `setRedFieldTitle(String redFieldTitle)`
  Deprecated.
  No longer displayed.
  `ColorPicker`
  `setRgbItemHover(String rgbItemHover)`
  Hover text shown when the mouse is over the RGB form row title.
  `ColorPicker`
  `setRgbItemTitle(String rgbItemTitle)`
  Title shown on the RGB form row in the complex chooser.
  `ColorPicker`
  `setSatFieldPrompt(String satFieldPrompt)`
  The text to show when the mouse hovers over the 'Saturation' field in the complex chooser.
  `ColorPicker`
  `setSatFieldTitle(String satFieldTitle)`
  Deprecated.
  No longer displayed.
  `void`
  `setSaturation(int newValue)`
  Sets the Saturation of the selected color.
  `ColorPicker`
  `setSelectedColorLabel(String selectedColorLabel)`
  The label shown next to the selected color box.
  `ColorPicker`
  `setShowCancelButton(Boolean showCancelButton)`
  Should the Cancel button be visible.
  `ColorPicker`
  `setShowHarmonyRow(Boolean showHarmonyRow)`
  Whether to show the `harmonyRow` of color harmonies below the palette in complex mode.
  `ColorPicker`
  `setShowModeToggleButton(Boolean showModeToggleButton)`
  Should the Mode Toggle button be visible.
  `ColorPicker`
  `setShowOkButton(Boolean showOkButton)`
  Should the OK button be visible.
  `ColorPicker`
  `setSupportsTransparency(Boolean supportsTransparency)`
  Determines whether to show the opacity slider.
  `ColorPicker`
  `setSwatchHeight(int swatchHeight)`
  Displayed height of the color swatch image.
  `ColorPicker`
  `setSwatchImageURL(String swatchImageURL)`
  The location of the color swatch image file
  `ColorPicker`
  `setSwatchWidth(int swatchWidth)`
  Displayed width of the color swatch image.

  ### Methods inherited from class com.smartgwt.client.widgets.Window

  `addCloseClickHandler, addItem, addItem, addMaximizeClickHandler, addMember, addMember, addMinimizeClickHandler, addRestoreClickHandler, centerInPage, close, flash, getAnimateMinimize, getAutoCenter, getAutoSize, getBody, getBodyColor, getBodyStyle, getBringToFrontOnMouseUp, getCanDragReposition, getCanDragResize, getCanFocusInHeaderButtons, getCloseButton, getContentLayout, getContentsType, getDefaultMinimizeHeight, getDismissOnEscape, getDismissOnOutsideClick, getEditProxyConstructor, getFillSpaceStyleName, getFooter, getFooterHeight, getHeader, getHeaderBackground, getHeaderIcon, getHeaderLabel, getHeaderSrc, getHeaderStyle, getHiliteBodyColor, getHiliteHeaderSrc, getHiliteHeaderStyle, getIsModal, getItems, getMaximizeButton, getMaximized, getMinimizeAcceleration, getMinimizeButton, getMinimized, getMinimizeHeight, getMinimizeTime, getModalMask, getModalMaskOpacity, getModalMaskStyle, getOpacity, getPlacement, getPrintBodyStyle, getPrintHeaderStyle, getResizeFrom, getResizer, getRestoreButton, getShowBody, getShowCloseButton, getShowEdges, getShowFooter, getShowHeader, getShowHeaderBackground, getShowHeaderIcon, getShowMaximizeButton, getShowMinimizeButton, getShowModalMask, getShowResizer, getShowShadow, getShowStatusBar, getShowTitle, getSrc, getStatus, getStatusBar, getTitle, getUseBackMask, maximize, minimize, preloadImages, removeItem, restore, revealChild, revealChild, setAnimateMinimize, setAutoCenter, setAutoSize, setBodyColor, setBodyDefaults, setBodyStyle, setBringToFrontOnMouseUp, setCanDragReposition, setCanDragResize, setCanFocusInHeaderButtons, setContentLayout, setContentLayout, setContentsType, setDefaultMinimizeHeight, setDefaultProperties, setDismissOnEscape, setDismissOnOutsideClick, setEditProxyConstructor, setFillSpaceStyleName, setFooterControls, setFooterHeight, setHeaderControls, setHeaderIcon, setHeaderIcon, setHeaderIconDefaults, setHeaderIconProperties, setHeaderSrc, setHeaderStyle, setHiliteBodyColor, setHiliteHeaderSrc, setHiliteHeaderStyle, setIsModal, setKeepInParentRect, setKeepInParentRect, setLogicalStructure, setMaximized, setMinimizeAcceleration, setMinimized, setMinimizeHeight, setMinimizeTime, setModalMaskOpacity, setModalMaskStyle, setOpacity, setPlacement, setPrintBodyStyle, setPrintHeaderStyle, setResizeFrom, setShowBody, setShowCloseButton, setShowEdges, setShowFooter, setShowHeader, setShowHeaderBackground, setShowHeaderIcon, setShowMaximizeButton, setShowMinimizeButton, setShowModalMask, setShowResizer, setShowShadow, setShowStatusBar, setShowTitle, setSrc, setStatus, setTitle, setUseBackMask, shouldDismissOnEscape`

  ### Methods inherited from class com.smartgwt.client.widgets.layout.VLayout

  `setDefaultProperties, setLogicalStructure`

  ### Methods inherited from class com.smartgwt.client.widgets.layout.Layout

  `addMember, addMember, addMember, addMemberPostCreate, addMemberPostCreate, addMemberPreCreate, addMemberPreCreate, addMembers, addMembers, addMembersChangedHandler, getAnimateMembers, getAnimateMemberTime, getCanDropComponents, getChildTabPosition, getDefaultResizeBars, getDropComponent, getDropLine, getDropLineThickness, getDropPosition, getEnforcePolicy, getHPolicy, getLayoutBottomMargin, getLayoutEndMargin, getLayoutLeftMargin, getLayoutMargin, getLayoutRightMargin, getLayoutStartMargin, getLayoutTopMargin, getLeaveScrollbarGap, getLocateMembersBy, getLocateMembersType, getManagePercentBreadth, getMember, getMember, getMemberDefaultBreadth, getMemberNumber, getMemberNumber, getMemberOverlap, getMembers, getMembersAsStringArray, getMembersLength, getMembersMargin, getMinMemberLength, getMinMemberSize, getOverflow, getPaddingAsLayoutMargin, getResizeBar, getResizeBarClass, getResizeBarSize, getReverseOrder, getShowDragPlaceHolder, getShowDropLines, getStackZIndex, getVertical, getVPolicy, hasMember, hideDropLine, hideMember, hideMember, layoutIsDirty, onInit, onInit_Layout, reflow, reflow, reflowNow, removeMember, removeMembers, removeMembers, reorderMember, reorderMembers, replaceMember, setAlign, setAlign, setAnimateMembers, setAnimateMemberTime, setCanDropComponents, setDefaultLayoutAlign, setDefaultLayoutAlign, setDefaultProperties, setDefaultResizeBars, setDropLineProperties, setDropLineThickness, setEnforcePolicy, setHPolicy, setLayoutBottomMargin, setLayoutEndMargin, setLayoutLeftMargin, setLayoutMargin, setLayoutRightMargin, setLayoutStartMargin, setLayoutTopMargin, setLeaveScrollbarGap, setLocateMembersBy, setLocateMembersType, setLogicalStructure, setManagePercentBreadth, setMemberOverlap, setMembers, setMembers, setMembersMargin, setMinBreadthMember, setMinBreadthMember, setMinBreadthMember, setMinMemberLength, setMinMemberSize, setOverflow, setPaddingAsLayoutMargin, setPlaceHolderDefaults, setPlaceHolderProperties, setResizeBarClass, setResizeBarSize, setReverseOrder, setShowDragPlaceHolder, setShowDropLines, setStackZIndex, setVertical, setVisibleMember, setVPolicy, showMember, showMember`

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, contentsComponentConnected, dataContextChanged, dataContextCriteriaChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, endBatchCreation, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAllCanvases, getAllCanvases, getAllCanvases, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAriaStateDefaults, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoRevertStyles, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragScroll, getCanDrop, getCanDropBefore, getCanDropContent, getCanDropFiles, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenAsStringArray, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContentsComponentDefaults, getContextMenu, getControlHeight, getCorrectZoomOverflow, getCursor, getDataContext, getDataContextCriteria, getDataContextCriteria, getDataPath, getDefaultHeight, getDefaultWidth, getDeferActionConversion, getDefiningProperty, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getEvents, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentCanvasAsString, getParentElement, getParentElementAsString, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShareCriteria, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowFocusOutline, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowSnapGrid, getShrinkElementOnHide, getSingleDiv, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getStyleName, getSuppressRedraw, getTabIndex, getTestDataContext, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getTopLevelComponents, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseCSSShadow, getUseDataContextCriteria, getUseDragMask, getUseGeneratedStyles, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getWorkflows, getZIndex, getZIndex, handleDataContextCriteria, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerAIService, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, resolveContentsComponent, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoRevertStyles, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragScroll, setCanDrop, setCanDropBefore, setCanDropContent, setCanDropFiles, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContentsComponentDefaults, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataContextCriteria, setDataPath, setDefaultHeight, setDefaultNativeAutoHideScrollbars, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDeferActionConversion, setDefiningProperty, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentCanvas, setParentElement, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShareCriteria, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowFocusOutline, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowSnapGrid, setShrinkElementOnHide, setSingleDiv, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setStyleName, setSuppressRedraw, setTabIndex, setTestDataContext, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseCSSShadow, setUseDataContextCriteria, setUseDragMask, setUseGeneratedStyles, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startBatchCreation, startDebuggingOverflow, stopDebuggingOverflow, subtractRects, supportsValueDictation, supportsVoiceCommands, unregisterAIService, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAutoDraw, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoDraw, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### ColorPicker

    public ColorPicker()

  - ### ColorPicker

    public ColorPicker(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ColorPicker getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `Window`

  - ### setAllowComplexMode

    public ColorPicker setAllowComplexMode(Boolean allowComplexMode) throws IllegalStateException
    Should the "complex" mode be allowed for this ColorPicker? If false, no "More" button is shown on the simple picker
    Parameters:
      `allowComplexMode` - New allowComplexMode value. Default value is true
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getAllowComplexMode

    public Boolean getAllowComplexMode()
    Should the "complex" mode be allowed for this ColorPicker? If false, no "More" button is shown on the simple picker
    Returns:
      Current allowComplexMode value. Default value is true

  - ### setAutoCenterOnShow

    public ColorPicker setAutoCenterOnShow(Boolean autoCenterOnShow) throws IllegalStateException
    If `autoPosition` is false, this property controls whether to automatically center the colorPicker every time it is redisplayed with the show() method.
    Parameters:
      `autoCenterOnShow` - New autoCenterOnShow value. Default value is true
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `setAutoPosition(java.lang.Boolean)`

  - ### getAutoCenterOnShow

    public Boolean getAutoCenterOnShow()
    If `autoPosition` is false, this property controls whether to automatically center the colorPicker every time it is redisplayed with the show() method.
    Returns:
      Current autoCenterOnShow value. Default value is true
    See Also:
      - `getAutoPosition()`

  - ### setAutoHide

    public ColorPicker setAutoHide(Boolean autoHide) throws IllegalStateException
    When this property is set to true, the `ColorPicker` will automatically hide when a color has been selected using the swatch picker, even in "complex" mode. By default it will only hide the `ColorPicker` in "simple" defaultPickMode.

    Set this property to false to disable the `ColorPicker` from automatically hiding, this can be especially useful when for instance embedding this component inside another component.

    Parameters:
      `autoHide` - New autoHide value. Default value is null
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `setDefaultPickMode(com.smartgwt.client.types.ColorPickerMode)`

  - ### getAutoHide

    public Boolean getAutoHide()
    When this property is set to true, the `ColorPicker` will automatically hide when a color has been selected using the swatch picker, even in "complex" mode. By default it will only hide the `ColorPicker` in "simple" defaultPickMode.

    Set this property to false to disable the `ColorPicker` from automatically hiding, this can be especially useful when for instance embedding this component inside another component.

    Returns:
      Current autoHide value. Default value is null
    See Also:
      - `getDefaultPickMode()`

  - ### setAutoPosition

    public ColorPicker setAutoPosition(Boolean autoPosition) throws IllegalStateException
    If true, causes the ColorPicker to appear near where the mouse was last clicked. If false, the ColorPicker is centered on first show; depending on the value of `autoCenterOnShow`, it either reappears wherever it was last shown after hide/show(), or centered regardless of where it was last shown.
    Parameters:
      `autoPosition` - New autoPosition value. Default value is true
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `setAutoCenterOnShow(java.lang.Boolean)`

  - ### getAutoPosition

    public Boolean getAutoPosition()
    If true, causes the ColorPicker to appear near where the mouse was last clicked. If false, the ColorPicker is centered on first show; depending on the value of `autoCenterOnShow`, it either reappears wherever it was last shown after hide/show(), or centered regardless of where it was last shown.
    Returns:
      Current autoPosition value. Default value is true
    See Also:
      - `getAutoCenterOnShow()`

  - ### setBasicColorLabel

    public ColorPicker setBasicColorLabel(String basicColorLabel) throws IllegalStateException
    The label shown above the basic color blocks.
    Parameters:
      `basicColorLabel` - New basicColorLabel value. Default value is "Basic Colors:"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getBasicColorLabel

    public String getBasicColorLabel()
    The label shown above the basic color blocks.
    Returns:
      Current basicColorLabel value. Default value is "Basic Colors:"
    See Also:
      - `HTMLString`

  - ### setBlueFieldPrompt

    public ColorPicker setBlueFieldPrompt(String blueFieldPrompt) throws IllegalStateException
    The text to show when the mouse hovers over the 'Blue' field in the complex chooser.
    Parameters:
      `blueFieldPrompt` - New blueFieldPrompt value. Default value is "Blue (0-255)"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getBlueFieldPrompt

    public String getBlueFieldPrompt()
    The text to show when the mouse hovers over the 'Blue' field in the complex chooser.
    Returns:
      Current blueFieldPrompt value. Default value is "Blue (0-255)"
    See Also:
      - `HTMLString`

  - ### setBlueFieldTitle

    public ColorPicker setBlueFieldTitle(String blueFieldTitle) throws IllegalStateException
    Deprecated.
    No longer displayed. The RGB row now shows `rgbItemTitle` as a combined title for all three fields.
    Parameters:
      `blueFieldTitle` - New blueFieldTitle value. Default value is "Blue"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getBlueFieldTitle

    public String getBlueFieldTitle()
    Deprecated.
    No longer displayed. The RGB row now shows `rgbItemTitle` as a combined title for all three fields.
    Returns:
      Current blueFieldTitle value. Default value is "Blue"
    See Also:
      - `HTMLString`

  - ### getCancelButton

    public IButton getCancelButton() throws IllegalStateException
    Cancel button for the ColorPicker

    This component is an AutoChild named "cancelButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current cancelButton value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setCancelButtonTitle

    public ColorPicker setCancelButtonTitle(String cancelButtonTitle) throws IllegalStateException
    The title for the 'Cancel' button.
    Parameters:
      `cancelButtonTitle` - New cancelButtonTitle value. Default value is "Cancel"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getCancelButtonTitle

    public String getCancelButtonTitle()
    The title for the 'Cancel' button.
    Returns:
      Current cancelButtonTitle value. Default value is "Cancel"
    See Also:
      - `HTMLString`

  - ### setColor

    public ColorPicker setColor(String color)
    The current color of the picker. Accepts a CSS color string in any `ColorFormat` (including `named colors`) or an existing `Color` object. When not set, the picker initializes to `defaultColor`.

    Use `getColor()` to retrieve the current color as a `Color` object, or `getColorString()` to retrieve it as a CSS string in any `ColorFormat`.
    If this method is called after the component has been drawn/initialized: Sets the currently-selected color. Accepts any value that `Colors.getColor()` accepts: a CSS color string, a structured `{r,g,b}` / `{h,s,l}` / `{L,C,h}` object, or an existing `Color`.

    Parameters:
      `color` - new color value. Default value is null
    Returns:
      `ColorPicker` instance, for chaining setter calls
    See Also:
      - `getColor()`
      - `getColorString()`

  - ### getColor

    public String getColor()
    The current color of the picker. Accepts a CSS color string in any `ColorFormat` (including `named colors`) or an existing `Color` object. When not set, the picker initializes to `defaultColor`.

    Use `getColor()` to retrieve the current color as a `Color` object, or `getColorString()` to retrieve it as a CSS string in any `ColorFormat`.

    Returns:
      Returns the currently-selected color as an `Color` object. If `supportsTransparency` is true the returned Color includes the selected alpha; otherwise alpha is 1. Default value is null
    See Also:
      - `getColor()`
      - `getColorString()`

  - ### setColor

    public ColorPicker setColor(Color color)
    The current color of the picker. Accepts a CSS color string in any `ColorFormat` (including `named colors`) or an existing `Color` object. When not set, the picker initializes to `defaultColor`.

    Use `getColor()` to retrieve the current color as a `Color` object, or `getColorString()` to retrieve it as a CSS string in any `ColorFormat`.
    If this method is called after the component has been drawn/initialized: Sets the currently-selected color. Accepts any value that `Colors.getColor()` accepts: a CSS color string, a structured `{r,g,b}` / `{h,s,l}` / `{L,C,h}` object, or an existing `Color`.

    Parameters:
      `color` - new color value. Default value is null
    Returns:
      `ColorPicker` instance, for chaining setter calls
    See Also:
      - `getColor()`
      - `getColorString()`

  - ### getColorAsColor

    public Color getColorAsColor()
    The current color of the picker. Accepts a CSS color string in any `ColorFormat` (including `named colors`) or an existing `Color` object. When not set, the picker initializes to `defaultColor`.

    Use `getColor()` to retrieve the current color as a `Color` object, or `getColorString()` to retrieve it as a CSS string in any `ColorFormat`.

    Returns:
      Returns the currently-selected color as an `Color` object. If `supportsTransparency` is true the returned Color includes the selected alpha; otherwise alpha is 1. Default value is null
    See Also:
      - `getColor()`
      - `getColorString()`

  - ### setColorArray

    public ColorPicker setColorArray(String[] colorArray) throws IllegalStateException
    Array of 40 HTML color strings, used to render the basic color selection boxes.
    Parameters:
      `colorArray` - New colorArray value. Default value is [...]
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getColorArray

    public String[] getColorArray()
    Array of 40 HTML color strings, used to render the basic color selection boxes.
    Returns:
      Current colorArray value. Default value is [...]

  - ### setColorButtonBaseStyle

    public ColorPicker setColorButtonBaseStyle(String colorButtonBaseStyle) throws IllegalStateException
    Base CSS style applied to the basic color boxes
    Parameters:
      `colorButtonBaseStyle` - New colorButtonBaseStyle value. Default value is "ColorChooserCell"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `CSSStyleName`

  - ### getColorButtonBaseStyle

    public String getColorButtonBaseStyle()
    Base CSS style applied to the basic color boxes
    Returns:
      Current colorButtonBaseStyle value. Default value is "ColorChooserCell"
    See Also:
      - `CSSStyleName`

  - ### setColorButtonSize

    public ColorPicker setColorButtonSize(int colorButtonSize) throws IllegalStateException
    Width and height of the basic color boxes (they are always square, and they are all the same size).
    Parameters:
      `colorButtonSize` - New colorButtonSize value. Default value is 20
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getColorButtonSize

    public int getColorButtonSize()
    Width and height of the basic color boxes (they are always square, and they are all the same size).
    Returns:
      Current colorButtonSize value. Default value is 20

  - ### setCrosshairImageURL

    public ColorPicker setCrosshairImageURL(String crosshairImageURL) throws IllegalStateException
    The location of the crosshair image file
    Parameters:
      `crosshairImageURL` - New crosshairImageURL value. Default value is "[SKIN]ColorPicker/crosshair.png"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getCrosshairImageURL

    public String getCrosshairImageURL()
    The location of the crosshair image file
    Returns:
      Current crosshairImageURL value. Default value is "[SKIN]ColorPicker/crosshair.png"
    See Also:
      - `SCImgURL`

  - ### setDefaultColor

    public ColorPicker setDefaultColor(String defaultColor) throws IllegalStateException
    The default color. This is the color selected when the picker first loads if no `Color` is specified, and the color to which the picker reverts when `getSharedColorPicker()` is called without `keepCurrentState`.
    Parameters:
      `defaultColor` - New defaultColor value. Default value is #808080
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `Color`

  - ### getDefaultColor

    public String getDefaultColor()
    The default color. This is the color selected when the picker first loads if no `Color` is specified, and the color to which the picker reverts when `getSharedColorPicker()` is called without `keepCurrentState`.
    Returns:
      Current defaultColor value. Default value is #808080
    See Also:
      - `Color`

  - ### setDefaultOpacity

    public ColorPicker setDefaultOpacity(int defaultOpacity) throws IllegalStateException
    The initial opacity value for the component, as a percentage value between 0 and 100
    Parameters:
      `defaultOpacity` - New defaultOpacity value. Default value is 100
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getDefaultOpacity

    public int getDefaultOpacity()
    The initial opacity value for the component, as a percentage value between 0 and 100
    Returns:
      Current defaultOpacity value. Default value is 100

  - ### setDefaultPickMode

    public ColorPicker setDefaultPickMode(ColorPickerMode defaultPickMode) throws IllegalStateException
    The `ColorPicker` can operate in either a "simple" mode (where it displays just the 40 basic colors and allows the user to click one), or a "complex" mode (where the user can specify a color from anywhere in the spectrum, with an optional alpha element). The `defaultPickMode` attribute specifies which of these two modes is in force when the picker first loads.
    If this method is called after the component has been drawn/initialized: Changes the pick mode of this `ColorPicker` to `pickMode`.

    Note: It is not allowed to set the pick mode to `ColorPickerMode.COMPLEX` if `allowComplexMode` is `false`.

    Parameters:
      `defaultPickMode` - the new pick mode. Default value is "simple"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `setAllowComplexMode(java.lang.Boolean)`

  - ### getDefaultPickMode

    public ColorPickerMode getDefaultPickMode()
    The `ColorPicker` can operate in either a "simple" mode (where it displays just the 40 basic colors and allows the user to click one), or a "complex" mode (where the user can specify a color from anywhere in the spectrum, with an optional alpha element). The `defaultPickMode` attribute specifies which of these two modes is in force when the picker first loads.
    Returns:
      Current defaultPickMode value. Default value is "simple"
    See Also:
      - `getAllowComplexMode()`

  - ### setGreenFieldPrompt

    public ColorPicker setGreenFieldPrompt(String greenFieldPrompt) throws IllegalStateException
    The text to show when the mouse hovers over the 'Green' field in the complex chooser.
    Parameters:
      `greenFieldPrompt` - New greenFieldPrompt value. Default value is "Green (0-255)"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getGreenFieldPrompt

    public String getGreenFieldPrompt()
    The text to show when the mouse hovers over the 'Green' field in the complex chooser.
    Returns:
      Current greenFieldPrompt value. Default value is "Green (0-255)"
    See Also:
      - `HTMLString`

  - ### setGreenFieldTitle

    public ColorPicker setGreenFieldTitle(String greenFieldTitle) throws IllegalStateException
    Deprecated.
    No longer displayed. The RGB row now shows `rgbItemTitle` as a combined title for all three fields.
    Parameters:
      `greenFieldTitle` - New greenFieldTitle value. Default value is "Green"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getGreenFieldTitle

    public String getGreenFieldTitle()
    Deprecated.
    No longer displayed. The RGB row now shows `rgbItemTitle` as a combined title for all three fields.
    Returns:
      Current greenFieldTitle value. Default value is "Green"
    See Also:
      - `HTMLString`

  - ### getHarmonyRow

    public HLayout getHarmonyRow() throws IllegalStateException
    Row of clickable swatches showing oklch-computed color harmonies (analogous, triadic, complement) of the currently-selected color. Visible only in `complex mode`.

    This component is an AutoChild named "harmonyRow". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current harmonyRow value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setHslItemHover

    public ColorPicker setHslItemHover(String hslItemHover) throws IllegalStateException
    Hover text shown when the mouse is over the HSL form row title.
    Parameters:
      `hslItemHover` - New hslItemHover value. Default value is "Hue, Saturation, Lightness"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getHslItemHover

    public String getHslItemHover()
    Hover text shown when the mouse is over the HSL form row title.
    Returns:
      Current hslItemHover value. Default value is "Hue, Saturation, Lightness"
    See Also:
      - `HTMLString`

  - ### setHslItemTitle

    public ColorPicker setHslItemTitle(String hslItemTitle) throws IllegalStateException
    Title shown on the HSL form row in the complex chooser.
    Parameters:
      `hslItemTitle` - New hslItemTitle value. Default value is "HSL"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getHslItemTitle

    public String getHslItemTitle()
    Title shown on the HSL form row in the complex chooser.
    Returns:
      Current hslItemTitle value. Default value is "HSL"
    See Also:
      - `HTMLString`

  - ### setHtmlFieldPrompt

    public ColorPicker setHtmlFieldPrompt(String htmlFieldPrompt) throws IllegalStateException
    The text to show when the mouse hovers over the hex field in the complex chooser.
    Parameters:
      `htmlFieldPrompt` - New htmlFieldPrompt value. Default value is "Hex color code (#RRGGBB or #RRGGBBAA)"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getHtmlFieldPrompt

    public String getHtmlFieldPrompt()
    The text to show when the mouse hovers over the hex field in the complex chooser.
    Returns:
      Current htmlFieldPrompt value. Default value is "Hex color code (#RRGGBB or #RRGGBBAA)"
    See Also:
      - `HTMLString`

  - ### setHtmlFieldTitle

    public ColorPicker setHtmlFieldTitle(String htmlFieldTitle) throws IllegalStateException
    The title for the hex color field in the complex chooser.
    Parameters:
      `htmlFieldTitle` - New htmlFieldTitle value. Default value is "Hex"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getHtmlFieldTitle

    public String getHtmlFieldTitle()
    The title for the hex color field in the complex chooser.
    Returns:
      Current htmlFieldTitle value. Default value is "Hex"
    See Also:
      - `HTMLString`

  - ### setHueFieldPrompt

    public ColorPicker setHueFieldPrompt(String hueFieldPrompt) throws IllegalStateException
    The text to show when the mouse hovers over the 'Hue' field in the complex chooser.
    Parameters:
      `hueFieldPrompt` - New hueFieldPrompt value. Default value is "Hue - base tone (0-360)"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getHueFieldPrompt

    public String getHueFieldPrompt()
    The text to show when the mouse hovers over the 'Hue' field in the complex chooser.
    Returns:
      Current hueFieldPrompt value. Default value is "Hue - base tone (0-360)"
    See Also:
      - `HTMLString`

  - ### setHueFieldTitle

    public ColorPicker setHueFieldTitle(String hueFieldTitle) throws IllegalStateException
    Deprecated.
    No longer displayed. The HSL row now shows `hslItemTitle` as a combined title for all three fields.
    Parameters:
      `hueFieldTitle` - New hueFieldTitle value. Default value is "Hue"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getHueFieldTitle

    public String getHueFieldTitle()
    Deprecated.
    No longer displayed. The HSL row now shows `hslItemTitle` as a combined title for all three fields.
    Returns:
      Current hueFieldTitle value. Default value is "Hue"
    See Also:
      - `HTMLString`

  - ### setLessButtonTitle

    public ColorPicker setLessButtonTitle(String lessButtonTitle) throws IllegalStateException
    The title for the button that switches to a less complex view.
    Parameters:
      `lessButtonTitle` - New lessButtonTitle value. Default value is "<< Less"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getLessButtonTitle

    public String getLessButtonTitle()
    The title for the button that switches to a less complex view.
    Returns:
      Current lessButtonTitle value. Default value is "<< Less"
    See Also:
      - `HTMLString`

  - ### setLumFieldPrompt

    public ColorPicker setLumFieldPrompt(String lumFieldPrompt) throws IllegalStateException
    The text to show when the mouse hovers over the 'Lightness' field in the complex chooser.
    Parameters:
      `lumFieldPrompt` - New lumFieldPrompt value. Default value is "Lightness - 0 black, 50 full color, 100 white (0-100%)"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getLumFieldPrompt

    public String getLumFieldPrompt()
    The text to show when the mouse hovers over the 'Lightness' field in the complex chooser.
    Returns:
      Current lumFieldPrompt value. Default value is "Lightness - 0 black, 50 full color, 100 white (0-100%)"
    See Also:
      - `HTMLString`

  - ### setLumFieldTitle

    public ColorPicker setLumFieldTitle(String lumFieldTitle) throws IllegalStateException
    Deprecated.
    No longer displayed. The HSL row now shows `hslItemTitle` as a combined title for all three fields.
    Parameters:
      `lumFieldTitle` - New lumFieldTitle value. Default value is "Light"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getLumFieldTitle

    public String getLumFieldTitle()
    Deprecated.
    No longer displayed. The HSL row now shows `hslItemTitle` as a combined title for all three fields.
    Returns:
      Current lumFieldTitle value. Default value is "Light"
    See Also:
      - `HTMLString`

  - ### setLumWidth

    public ColorPicker setLumWidth(int lumWidth) throws IllegalStateException
    Width of the lightness bar
    Parameters:
      `lumWidth` - New lumWidth value. Default value is 15
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getLumWidth

    public int getLumWidth()
    Width of the lightness bar
    Returns:
      Current lumWidth value. Default value is 15

  - ### getModeToggleButton

    public IButton getModeToggleButton() throws IllegalStateException
    "More"/"Less" button for the ColorPicker

    This component is an AutoChild named "modeToggleButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current modeToggleButton value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setMoreButtonTitle

    public ColorPicker setMoreButtonTitle(String moreButtonTitle) throws IllegalStateException
    The title for the button that switches to a more complex view.
    Parameters:
      `moreButtonTitle` - New moreButtonTitle value. Default value is "More >>"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getMoreButtonTitle

    public String getMoreButtonTitle()
    The title for the button that switches to a more complex view.
    Returns:
      Current moreButtonTitle value. Default value is "More >>"
    See Also:
      - `HTMLString`

  - ### getOkButton

    public IButton getOkButton() throws IllegalStateException
    "OK" button for the ColorPicker

    This component is an AutoChild named "okButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

    Returns:
      Current okButton value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setOkButtonTitle

    public ColorPicker setOkButtonTitle(String okButtonTitle) throws IllegalStateException
    The title for the 'OK' button.
    Parameters:
      `okButtonTitle` - New okButtonTitle value. Default value is "OK"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getOkButtonTitle

    public String getOkButtonTitle()
    The title for the 'OK' button.
    Returns:
      Current okButtonTitle value. Default value is "OK"
    See Also:
      - `HTMLString`

  - ### setOpacitySliderLabel

    public ColorPicker setOpacitySliderLabel(String opacitySliderLabel) throws IllegalStateException
    The label shown next to the opacity slider. Ignored if `supportsTransparency` is false.
    Parameters:
      `opacitySliderLabel` - New opacitySliderLabel value. Default value is "Opacity:"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getOpacitySliderLabel

    public String getOpacitySliderLabel()
    The label shown next to the opacity slider. Ignored if `supportsTransparency` is false.
    Returns:
      Current opacitySliderLabel value. Default value is "Opacity:"
    See Also:
      - `HTMLString`

  - ### setOpacityText

    public ColorPicker setOpacityText(String opacityText) throws IllegalStateException
    The text to show underneath the selected color box, so that it can be seen through semi-transparent colors. If you do not want such text, set this value to blank. This value is irrelevant if `supportsTransparency` is false.
    Parameters:
      `opacityText` - New opacityText value. Default value is "Lorem ipsum"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getOpacityText

    public String getOpacityText()
    The text to show underneath the selected color box, so that it can be seen through semi-transparent colors. If you do not want such text, set this value to blank. This value is irrelevant if `supportsTransparency` is false.
    Returns:
      Current opacityText value. Default value is "Lorem ipsum"
    See Also:
      - `HTMLString`

  - ### setPaletteMode

    public ColorPicker setPaletteMode(String paletteMode)
    Controls which palette visualization is shown in complex mode.
    - `"square"` - Hue x Saturation grid (X=hue 0-360, Y=saturation 100-0), fixed at L=50. Best for precise color selection.
    - `"wheel"` - Oklch color wheel (angle=hue, radius=chroma). Perceptually uniform hue spacing; lightness tracks the current lightness slider value.
    Parameters:
      `paletteMode` - New paletteMode value. Default value is "square"
    Returns:
      `ColorPicker` instance, for chaining setter calls

  - ### getPaletteMode

    public String getPaletteMode()
    Controls which palette visualization is shown in complex mode.
    - `"square"` - Hue x Saturation grid (X=hue 0-360, Y=saturation 100-0), fixed at L=50. Best for precise color selection.
    - `"wheel"` - Oklch color wheel (angle=hue, radius=chroma). Perceptually uniform hue spacing; lightness tracks the current lightness slider value.
    Returns:
      Current paletteMode value. Default value is "square"

  - ### setRedFieldPrompt

    public ColorPicker setRedFieldPrompt(String redFieldPrompt) throws IllegalStateException
    The text to show when the mouse hovers over the 'Red' field in the complex chooser.
    Parameters:
      `redFieldPrompt` - New redFieldPrompt value. Default value is "Red (0-255)"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getRedFieldPrompt

    public String getRedFieldPrompt()
    The text to show when the mouse hovers over the 'Red' field in the complex chooser.
    Returns:
      Current redFieldPrompt value. Default value is "Red (0-255)"
    See Also:
      - `HTMLString`

  - ### setRedFieldTitle

    public ColorPicker setRedFieldTitle(String redFieldTitle) throws IllegalStateException
    Deprecated.
    No longer displayed. The RGB row now shows `rgbItemTitle` as a combined title for all three fields.
    Parameters:
      `redFieldTitle` - New redFieldTitle value. Default value is "Red"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getRedFieldTitle

    public String getRedFieldTitle()
    Deprecated.
    No longer displayed. The RGB row now shows `rgbItemTitle` as a combined title for all three fields.
    Returns:
      Current redFieldTitle value. Default value is "Red"
    See Also:
      - `HTMLString`

  - ### setRgbItemHover

    public ColorPicker setRgbItemHover(String rgbItemHover) throws IllegalStateException
    Hover text shown when the mouse is over the RGB form row title.
    Parameters:
      `rgbItemHover` - New rgbItemHover value. Default value is "Red, Green, Blue (0-255 each)"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getRgbItemHover

    public String getRgbItemHover()
    Hover text shown when the mouse is over the RGB form row title.
    Returns:
      Current rgbItemHover value. Default value is "Red, Green, Blue (0-255 each)"
    See Also:
      - `HTMLString`

  - ### setRgbItemTitle

    public ColorPicker setRgbItemTitle(String rgbItemTitle) throws IllegalStateException
    Title shown on the RGB form row in the complex chooser.
    Parameters:
      `rgbItemTitle` - New rgbItemTitle value. Default value is "RGB"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getRgbItemTitle

    public String getRgbItemTitle()
    Title shown on the RGB form row in the complex chooser.
    Returns:
      Current rgbItemTitle value. Default value is "RGB"
    See Also:
      - `HTMLString`

  - ### setSatFieldPrompt

    public ColorPicker setSatFieldPrompt(String satFieldPrompt) throws IllegalStateException
    The text to show when the mouse hovers over the 'Saturation' field in the complex chooser.
    Parameters:
      `satFieldPrompt` - New satFieldPrompt value. Default value is "Saturation - color purity (0-100%)"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getSatFieldPrompt

    public String getSatFieldPrompt()
    The text to show when the mouse hovers over the 'Saturation' field in the complex chooser.
    Returns:
      Current satFieldPrompt value. Default value is "Saturation - color purity (0-100%)"
    See Also:
      - `HTMLString`

  - ### setSatFieldTitle

    public ColorPicker setSatFieldTitle(String satFieldTitle) throws IllegalStateException
    Deprecated.
    No longer displayed. The HSL row now shows `hslItemTitle` as a combined title for all three fields.
    Parameters:
      `satFieldTitle` - New satFieldTitle value. Default value is "Sat"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getSatFieldTitle

    public String getSatFieldTitle()
    Deprecated.
    No longer displayed. The HSL row now shows `hslItemTitle` as a combined title for all three fields.
    Returns:
      Current satFieldTitle value. Default value is "Sat"
    See Also:
      - `HTMLString`

  - ### setSelectedColorLabel

    public ColorPicker setSelectedColorLabel(String selectedColorLabel) throws IllegalStateException
    The label shown next to the selected color box.
    Parameters:
      `selectedColorLabel` - New selectedColorLabel value. Default value is "Selected Color:"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `HTMLString`

  - ### getSelectedColorLabel

    public String getSelectedColorLabel()
    The label shown next to the selected color box.
    Returns:
      Current selectedColorLabel value. Default value is "Selected Color:"
    See Also:
      - `HTMLString`

  - ### setShowCancelButton

    public ColorPicker setShowCancelButton(Boolean showCancelButton) throws IllegalStateException
    Should the Cancel button be visible. Set to false to hide the Cancel button.

    Note : This is an advanced setting

    Parameters:
      `showCancelButton` - New showCancelButton value. Default value is true
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowCancelButton

    public Boolean getShowCancelButton()
    Should the Cancel button be visible. Set to false to hide the Cancel button.
    Returns:
      Current showCancelButton value. Default value is true

  - ### setShowHarmonyRow

    public ColorPicker setShowHarmonyRow(Boolean showHarmonyRow) throws IllegalStateException
    Whether to show the `harmonyRow` of color harmonies below the palette in complex mode.
    Parameters:
      `showHarmonyRow` - New showHarmonyRow value. Default value is true
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowHarmonyRow

    public Boolean getShowHarmonyRow()
    Whether to show the `harmonyRow` of color harmonies below the palette in complex mode.
    Returns:
      Current showHarmonyRow value. Default value is true

  - ### setShowModeToggleButton

    public ColorPicker setShowModeToggleButton(Boolean showModeToggleButton) throws IllegalStateException
    Should the Mode Toggle button be visible. Set to false to hide the Mode Toggle button.

    Note : This is an advanced setting

    Parameters:
      `showModeToggleButton` - New showModeToggleButton value. Default value is true
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowModeToggleButton

    public Boolean getShowModeToggleButton()
    Should the Mode Toggle button be visible. Set to false to hide the Mode Toggle button.
    Returns:
      Current showModeToggleButton value. Default value is true

  - ### setShowOkButton

    public ColorPicker setShowOkButton(Boolean showOkButton) throws IllegalStateException
    Should the OK button be visible. Set to false to hide the OK button.

    Note : This is an advanced setting

    Parameters:
      `showOkButton` - New showOkButton value. Default value is true
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowOkButton

    public Boolean getShowOkButton()
    Should the OK button be visible. Set to false to hide the OK button.
    Returns:
      Current showOkButton value. Default value is true

  - ### setSupportsTransparency

    public ColorPicker setSupportsTransparency(Boolean supportsTransparency) throws IllegalStateException
    Determines whether to show the opacity slider. This allows the user to select colors with an alpha element (ie, semi-transparent colors). If this attribute is set to false, no opacity slider is shown, and all colors are completely opaque.
    If this method is called after the component has been drawn/initialized: Set the `supportsTransparency` flag.
    Parameters:
      `supportsTransparency` - Set to true to enable transparency/opacity. Default value is true
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getSupportsTransparency

    public Boolean getSupportsTransparency()
    Determines whether to show the opacity slider. This allows the user to select colors with an alpha element (ie, semi-transparent colors). If this attribute is set to false, no opacity slider is shown, and all colors are completely opaque.
    Returns:
      Current supportsTransparency value. Default value is true

  - ### setSwatchHeight

    public ColorPicker setSwatchHeight(int swatchHeight) throws IllegalStateException
    Displayed height of the color swatch image. The default height is approximately that used by the Windows® XP color picking window
    Parameters:
      `swatchHeight` - New swatchHeight value. Default value is 170
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getSwatchHeight

    public int getSwatchHeight()
    Displayed height of the color swatch image. The default height is approximately that used by the Windows® XP color picking window
    Returns:
      Current swatchHeight value. Default value is 170

  - ### setSwatchImageURL

    public ColorPicker setSwatchImageURL(String swatchImageURL) throws IllegalStateException
    The location of the color swatch image file
    Parameters:
      `swatchImageURL` - New swatchImageURL value. Default value is "[SKIN]ColorPicker/spectrum.png"
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `SCImgURL`

  - ### getSwatchImageURL

    public String getSwatchImageURL()
    The location of the color swatch image file
    Returns:
      Current swatchImageURL value. Default value is "[SKIN]ColorPicker/spectrum.png"
    See Also:
      - `SCImgURL`

  - ### setSwatchWidth

    public ColorPicker setSwatchWidth(int swatchWidth) throws IllegalStateException
    Displayed width of the color swatch image. The default width is approximately that used by the Windows® XP color picking window
    Parameters:
      `swatchWidth` - New swatchWidth value. Default value is 170
    Returns:
      `ColorPicker` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getSwatchWidth

    public int getSwatchWidth()
    Displayed width of the color swatch image. The default width is approximately that used by the Windows® XP color picking window
    Returns:
      Current swatchWidth value. Default value is 170

  - ### addColorChangedHandler

    public HandlerRegistration addColorChangedHandler(ColorChangedHandler handler)
    Add a colorChanged handler.

    Override this method to be kept informed when the ColorPicker changes in real-time (for example, if you need to update your own GUI accordingly). Then use the getXxxx() methods (for example, `getBlue()` or `getLuminosity()`) to obtain current state as required.

    Specified by:
      `addColorChangedHandler` in interface `HasColorChangedHandlers`
    Parameters:
      `handler` - the colorChanged handler
    Returns:
      `HandlerRegistration` used to remove this handler

  - ### addColorPickedHandler

    public HandlerRegistration addColorPickedHandler(ColorPickedHandler handler)
    Add a colorPicked handler.

    Notification fired when the user commits a color selection - either by clicking a swatch in `simple mode` or clicking OK in complex mode. The `color` parameter is an `Color` object; when `ColorPicker.supportsTransparency` is true it carries the selected alpha, otherwise alpha is always 1.

    This is the preferred replacement for `ColorPicker.colorSelected()`, which passes color and opacity as separate parameters.

    The `ColorPicker` may automatically hide itself after calling this method depending on `ColorPicker.autoHide` and `ColorPicker.defaultPickMode`.

    Specified by:
      `addColorPickedHandler` in interface `HasColorPickedHandlers`
    Parameters:
      `handler` - the colorPicked handler
    Returns:
      `HandlerRegistration` used to remove this handler

  - ### addColorSelectedHandler

    public HandlerRegistration addColorSelectedHandler(ColorSelectedHandler handler)
    Add a colorSelected handler.

    Override this method to be notified when the user selects a color either by clicking a basic color box in simple mode, or by clicking the OK button in complex mode. It is not intended that client code call this method. The `ColorPicker` may automatically hide itself after calling this method depending on `ColorPicker.autoHide` and `ColorPicker.defaultPickMode`.

    Specified by:
      `addColorSelectedHandler` in interface `HasColorSelectedHandlers`
    Parameters:
      `handler` - the colorSelected handler
    Returns:
      `HandlerRegistration` used to remove this handler

  - ### addColorUpdatedHandler

    public HandlerRegistration addColorUpdatedHandler(ColorUpdatedHandler handler)
    Add a colorUpdated handler.

    Notification fired in real-time as the user manipulates the color picker (dragging the crosshair, adjusting sliders, typing in fields). The `color` parameter is an `Color` object; when `ColorPicker.supportsTransparency` is true it carries the current alpha, otherwise alpha is always 1.

    This is the preferred replacement for `ColorPicker.colorChanged()`, which passes no parameters and requires the caller to use getter methods.

    Specified by:
      `addColorUpdatedHandler` in interface `HasColorUpdatedHandlers`
    Parameters:
      `handler` - the colorUpdated handler
    Returns:
      `HandlerRegistration` used to remove this handler

  - ### getBlue

    public int getBlue()
    Deprecated.
    Use `getColor().b` instead.
    Returns the Blue element of the currently-selected color, as an integer from 0-255.
    Returns:
      blue color component
    See Also:
      - `setBlue(int)`

  - ### getColorString

    public String getColorString()
    Returns the currently-selected color as a CSS string in any `ColorFormat`. Equivalent to `getColor().getString(format)`. When `supportsTransparency` is false or the color is fully opaque, the alpha channel is omitted from the output.
    Returns:
      CSS color string
    See Also:
      - `getColor()`

  - ### getColorString

    public String getColorString(ColorFormat format)
    Returns the currently-selected color as a CSS string in any `ColorFormat`. Equivalent to `getColor().getString(format)`. When `supportsTransparency` is false or the color is fully opaque, the alpha channel is omitted from the output.
    Parameters:
      `format` - output format (defaults to "hex")
    Returns:
      CSS color string
    See Also:
      - `getColor()`

  - ### getGreen

    public int getGreen()
    Deprecated.
    Use `getColor().g` instead.
    Returns the Green element of the currently-selected color, as an integer from 0-255.
    Returns:
      green color component
    See Also:
      - `setGreen(int)`

  - ### getHtmlColor

    public String getHtmlColor()
    Deprecated.
    Use `getColorString()` instead, which supports any `ColorFormat`. For the full `Color` object, use `getColor()`.
    Returns the currently-selected color as a hex string. When `supportsTransparency` is true and the color has alpha < 1, the string includes the alpha channel as two additional hex digits (e.g. `"#F17F1D80"`); otherwise it is a standard 6-digit hex string (e.g. `"#F17F1D"`).
    Returns:
      HTML color value
    See Also:
      - `setHtmlColor(java.lang.String)`

  - ### getHue

    public int getHue()
    Deprecated.
    Use `getColor().h` instead.
    Returns the Hue of the currently-selected color, as an integer from 0-360 (CSS-standard HSL hue wheel).
    Returns:
      hue value
    See Also:
      - `setHue(int)`

  - ### getLightness

    public int getLightness()
    Deprecated.
    Use `getColor().l` instead.
    Returns the Lightness of the currently-selected color, as an integer from 0-100 (CSS-standard HSL percentage). 0 is black, 50 is full chroma, 100 is white.
    Returns:
      lightness value
    See Also:
      - `setLightness(int)`

  - ### getLuminosity

    public int getLuminosity()
    Deprecated.
    Use `getLightness()` instead. This method now returns the CSS-standard lightness value (0-100), not the legacy 0-240 scale.
    Returns:
      lightness value (0-100)

  - ### getRed

    public int getRed()
    Deprecated.
    Use `getColor().r` instead.
    Returns the Red element of the currently-selected color, as an integer from 0-255.
    Returns:
      red color component
    See Also:
      - `setRed(int)`

  - ### getSaturation

    public int getSaturation()
    Deprecated.
    Use `getColor().s` instead.
    Returns the Saturation of the currently-selected color, as an integer from 0-100 (CSS-standard HSL percentage).
    Returns:
      saturation value
    See Also:
      - `setSaturation(int)`

  - ### setBlue

    public void setBlue(int newValue)
    Sets the Blue element of the selected color.
    Parameters:
      `newValue` - An integer between 0 and 255
    See Also:
      - `getBlue()`

  - ### setCurrentPickMode

    public void setCurrentPickMode(ColorPickerMode pickMode)
    Changes the pick mode of this `ColorPicker` to `pickMode`.

    Note: It is not allowed to set the pick mode to `ColorPickerMode.COMPLEX` if `allowComplexMode` is `false`.

    Parameters:
      `pickMode` - the new pick mode.

  - ### setGreen

    public void setGreen(int newValue)
    Sets the Green element of the selected color.
    Parameters:
      `newValue` - An integer between 0 and 255
    See Also:
      - `getGreen()`

  - ### setHtmlColor

    public void setHtmlColor(String newValue)
    Deprecated.
    Use `setColor()` instead, which accepts CSS strings, structured objects, and `Color` objects.
    Changes the selected color to the one represented by the supplied HTML color string. Accepts any valid CSS color string (hex, rgb(), hsl(), named colors, "transparent"). Invalid values are ignored.
    Parameters:
      `newValue` - a CSS color string
    See Also:
      - `getHtmlColor()`

  - ### setHue

    public void setHue(int newValue)
    Sets the Hue of the selected color.
    Parameters:
      `newValue` - An integer between 0 and 360
    See Also:
      - `getHue()`

  - ### setLightness

    public void setLightness(int newValue)
    Sets the Lightness of the selected color (CSS-standard HSL: 0 is black, 50 is full chroma, 100 is white).
    Parameters:
      `newValue` - An integer between 0 and 100
    See Also:
      - `getLightness()`

  - ### setLuminosity

    public void setLuminosity(int newValue)
    Deprecated.
    Use `setLightness()` instead. This method now accepts CSS-standard lightness (0-100), not the legacy 0-240 scale.
    Parameters:
      `newValue` - An integer between 0 and 100

  - ### setOpacity

    public void setOpacity(int newValue)
    Sets the Opacity of the selected color. Ignored if opacity is switched off.
    Parameters:
      `newValue` - An integer between 0 and 100
    See Also:
      - `Window.getOpacity()`

  - ### setRed

    public void setRed(int newValue)
    Sets the Red element of the selected color.
    Parameters:
      `newValue` - An integer between 0 and 255
    See Also:
      - `getRed()`

  - ### setSaturation

    public void setSaturation(int newValue)
    Sets the Saturation of the selected color.
    Parameters:
      `newValue` - An integer between 0 and 100
    See Also:
      - `getSaturation()`

  - ### setDefaultProperties

    public static void setDefaultProperties(ColorPicker colorPickerProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `colorPickerProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(ColorPickerLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `Window`